# Uses of Interface
org.eclipse.jdt.ui.text.java.IProblemLocation

Packages that use IProblemLocation
Package
Description
org.eclipse.jdt.ui.text.java
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IProblemLocation in org.eclipse.jdt.ui.text.java

Methods in org.eclipse.jdt.ui.text.java with parameters of type IProblemLocation
Modifier and Type
Method
Description
`IJavaCompletionProposal[]`
IQuickAssistProcessor.`getAssists(IInvocationContext context, IProblemLocation[] locations)`
Collects quick assists for the given context.
`IJavaCompletionProposal[]`
IQuickFixProcessor.`getCorrections(IInvocationContext context, IProblemLocation[] locations)`
Collects corrections or code manipulations for the given context.